Skip to main content

W2K client driver for X12 v1.5 running Service Pack 2(SP2)

Description

The X12 MUST be running version v1.5 SP2. If not, you may receive unexpected results or errors.
Windows 2000 Print Driver for Fiery X12 v1.5 SP2

Supported platforms

  • Windows 2000

Supported languages

  • English (N. America)
  • English (Global)

Supported products

  • DocuColor 12 Copier/Printer
  • DocuColor 12 Printer

Digital Front End

  • Fiery X12

Need more support?

Get answers in the Community Support Forum

Join the conversation
Join the conversation
Join the conversation